define([
		"chy/_base/_ValidateMixin",
		"dojo/_base/declare",
		"dijit/form/ValidationTextBox"
	], function(_ValidateMixin, declare, ValidationTextBox){
		
	return declare("chy.form.ValidationTextBox",[ValidationTextBox, _ValidateMixin],{
		
		//constructor
		constructor: function(args){
			declare.safeMixin(this,args);
			this.inherited(arguments);
		}
		
	});
});
